Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tax
Class Country

    java.lang.Object
      com.bea.commerce.ebusiness.tax.Country

Deprecated

    @Deprecated
    public class Country

extends Object

Constructor Summary
`Country()` Deprecated

Method Summary
`void` | `addProvince(Province province)` Deprecated
`Currency` | `getCurrency()` Deprecated
`String` | `getEnglishLabel()` Deprecated
`Integer` | `getISOCode()` Deprecated
`Province` | `getProvince(String province_info)` Deprecated
`String` | `getThreeCharacterAbbreviation()` Deprecated
`String` | `getTwoCharacterAbbreviation()` Deprecated
`boolean` | `isCanada()` Deprecated
`boolean` | `isUS()` Deprecated
`void` | `setCurrency(Currency curr)` Deprecated
`void` | `setEnglishLabel(String label)` Deprecated
`void` | `setISOCode(int code)` Deprecated
`void` | `setThreeCharacterAbbreviation(String abbr)` Deprecated
`void` | `setTwoCharacterAbbreviation(String abbr)` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Country

    public Country()

  Deprecated

Method Detail

### setISOCode

    public void setISOCode(int code)

  Deprecated

### getISOCode

    public Integer getISOCode()

  Deprecated

### setEnglishLabel

    public void setEnglishLabel(String label)

  Deprecated

### getEnglishLabel

    public String getEnglishLabel()

  Deprecated

### setTwoCharacterAbbreviation

    public void setTwoCharacterAbbreviation(String abbr)
                                     throws IllegalArgumentException

  Deprecated
  Throws
    `IllegalArgumentException`

### getTwoCharacterAbbreviation

    public String getTwoCharacterAbbreviation()

  Deprecated

### setThreeCharacterAbbreviation

    public void setThreeCharacterAbbreviation(String abbr)
                                       throws IllegalArgumentException

  Deprecated
  Throws
    `IllegalArgumentException`

### getThreeCharacterAbbreviation

    public String getThreeCharacterAbbreviation()

  Deprecated

### setCurrency

    public void setCurrency(Currency curr)

  Deprecated

### getCurrency

    public Currency getCurrency()

  Deprecated

### addProvince

    public void addProvince(Province province)

  Deprecated

### getProvince

    public Province getProvince(String province_info)
                         throws Exception

  Deprecated
  Throws
    `Exception`

### isUS

    public boolean isUS()

  Deprecated

### isCanada

    public boolean isCanada()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.